#include "mbed.h"
#include "string"


extern Serial pc;
const int buffer_size = 4095;


class Huzzah
{
public:
    Huzzah(PinName tx_pin, PinName rx_pin, string ssid, string pwd);
    Huzzah(PinName tx_pin, PinName rx_pin);
    void setssid(string);
    void setpwd(string);
    void espconfig();
    string get_ip();
    void http_get(string message, string host, string port);
    void open_socket(string host, string port);
    Serial esp;


private:
    string ssid;
    string pwd;
    char cmdbuff[4096];
    char replybuff[4096];
    char rx_line[1024];
    void send_line();
    void read_line();
    void send_cmd();
    void getreply();
    bool socket;
    
    // for configuring esp (huzzah)
    int  count,ended,timeout;
    char configbuf[2024];
    char configsnd[1024];

    void espgetreply();
    void espsendcmd();
};    